import requests
url = "https://api.diga.io/v1/verification/"
files = { "signed_document": ("example-file", open("example-file", "rb")) }
payload = { "notification_email": "jsmith@example.com" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text){
"verification_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Create a new verification by uploading a signed document.
The signed document will be stored and an admin will review the verification. Once reviewed, the verification status will be updated to VERIFIED or REJECTED.
import requests
url = "https://api.diga.io/v1/verification/"
files = { "signed_document": ("example-file", open("example-file", "rb")) }
payload = { "notification_email": "jsmith@example.com" }
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, data=payload, files=files, headers=headers)
print(response.text){
"verification_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Successful Response
Response schema after creating a verification.